<template>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Logo and Name
                        </h2>
                        <ul class="header-dropdown m-r--5">
                            <li class="dropdown">
                                <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                    <i class="material-icons">more_vert</i>
                                </a>
                                <ul class="dropdown-menu pull-right">
                                    <li><a href="javascript:void(0);">Action</a></li>
                                    <li><a href="javascript:void(0);">Another action</a></li>
                                    <li><a href="javascript:void(0);">Something else here</a></li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                    <div class="body">
                        <h2 class="card-inside-title">Logo Name</h2>
                        <form action="javascript:void(0)" enctype="multipart/form-data" ref="logoName">
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="text" v-model="name" id="name" name="name" class="form-control" placeholder="Name" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <img :src="imageUrl" :alt="name">
                                    </div>
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input type="file" accept="image" ref="attachments" id="logo" @change="fileInfo" name="logo" class="form-control" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div>
                                            <input type="submit" @click="update" class="btn btn-primary" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>
</template>

<script>
    export default {
        data(){
          return {
              name:'',
              imageUrl:''
          }
        },
        created() {
            this.getInfo();
        },
        updated() {
            this.getInfo();
        },
        methods:{
            fileInfo(){
                let files = this.$refs.attachments.files;
                if (files.length) {
                    return files[0];
                }
            },
            update(){
                let data = new FormData();
                data.append('image',this.fileInfo());
                data.append('name',this.name);
                axios.post('/admin/logo/name/update', data)
                .then((response)=>{
                    this.getInfo();
                    this.$toaster.success(response.data);
                });
            },
            getInfo(){
                axios.get('/admin/logo/name').then((response)=>{
                    this.name =response.data.name;
                    this.imageUrl=response.data.logo;
                });
            }
        }
    }
</script>
